package model;

/**
 * @author stefan.hohl
 * @version 06.06.2020
 */
public class Score {
    private String username;
    private double time;
    private double accuracy;
    private String date;

    public Score(){

    }

    public Score(String username, double time, double accuracy, String date) {
        this.username = username;
        this.time = time;
        this.accuracy = accuracy;
        this.date = date;
    }

    public double calculateAccuracy(int showAmount, int amountMissed) {
        double temp = showAmount + amountMissed;
        return showAmount / temp*100;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public double getTime() {
        return time;
    }

    public void setTime(double time) {
        this.time = time;
    }

    public double getAccuracy() {
        return accuracy;
    }

    public void setAccuracy(double accuracy) {
        this.accuracy = accuracy;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }
}
