import model.GameScore;
import model.GameScoreList;
import model.Score;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

/**
 * @author stefan.hohl
 * @version 01.07.2020
 */

public class GameScoreListTest {
    private GameScoreList gameScoreList;

    @Before
    public void setUp() {
        gameScoreList = new GameScoreList();
        gameScoreList.addGameScore(new GameScore(10));
        gameScoreList.addGameScore(new GameScore(10));
        gameScoreList.addGameScore(new GameScore(6));
        gameScoreList.addGameScore(new GameScore(4));
        gameScoreList.addGameScore(new GameScore(45));
    }

    @Test
    public void getAverage() {
        Assert.assertEquals(gameScoreList.getAverage(), 15.00, 0.001);
    }

    @Test
    public void getAverageWith0(){
        gameScoreList.addGameScore(new GameScore(0));
        Assert.assertEquals(gameScoreList.getAverage(),12.5,0.002);
    }
}