package model;

import java.util.ArrayList;

/**
 * @author stefan.hohl
 * @version 30.06.2020
 */
public class GameScoreList {
    private ArrayList<GameScore> gameScores;

    public GameScoreList() {
        this.gameScores = new ArrayList<>();
    }

    public double getAverage() {
        double temp =0;
        for (GameScore gs : gameScores) {
            temp+=gs.getTime();
        }
        return temp/gameScores.size();
    }

    public void addGameScore(GameScore gameScore) {
        gameScores.add(gameScore);
    }

    public ArrayList<GameScore> getGameScores() {
        return gameScores;
    }

    public void setGameScores(ArrayList<GameScore> gameScores) {
        this.gameScores = gameScores;
    }

}
