import javafx.scene.shape.Circle;
import model.Score;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

/**
 * @author stefan.hohl
 * @version 01.07.2020
 */

public class ScoreTest {
    private Score score;

    @Before
    public void setUp() {
        score = new Score();
    }

    @Test
    public void testAccuracy(){
        int showAmount = 10;
        int missedAmount = 2;
        Assert.assertEquals(score.calculateAccuracy(showAmount,missedAmount), 83.333,0.001);
    }
    @Test
    public void testAccuracy2(){
        int showAmount = 10;
        int missedAmount = 0;
        Assert.assertEquals(score.calculateAccuracy(showAmount,missedAmount), 100,0.001);
    }
}
